package com.fs.qw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.qwApi.domain.QwMessages;
import io.lettuce.core.dynamic.annotation.Param;

import java.util.List;

/**
 * 企业微信会话存档Mapper接口
 *
 * @author fs
 * @date 2025-03-18
 */
public interface QwMessagesMapper extends BaseMapper<QwMessages>{
    /**
     * 查询企业微信会话存档
     *
     * @param id 企业微信会话存档主键
     * @return 企业微信会话存档
     */
    QwMessages selectQwMessagesById(Long id);

    /**
     * 查询企业微信会话存档列表
     *
     * @param qwMessages 企业微信会话存档
     * @return 企业微信会话存档集合
     */
    List<QwMessages> selectQwMessagesList(QwMessages qwMessages);

    /**
     * 新增企业微信会话存档
     *
     * @param qwMessages 企业微信会话存档
     * @return 结果
     */
    int insertQwMessages(QwMessages qwMessages);

    /**
     * 修改企业微信会话存档
     *
     * @param qwMessages 企业微信会话存档
     * @return 结果
     */
    int updateQwMessages(QwMessages qwMessages);

    /**
     * 删除企业微信会话存档
     *
     * @param id 企业微信会话存档主键
     * @return 结果
     */
    int deleteQwMessagesById(Long id);

    /**
     * 批量删除企业微信会话存档
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQwMessagesByIds(Long[] ids);

    /**
     * 批量新增
     */
    int batchInsertQwMessages(@Param("list") List<QwMessages> messages);
}
